com.virtual.tour.road.com.virtual.tour.road.model

## Class Usuario

- java.lang.Object
- - com.virtual.tour.road.com.virtual.tour.road.model.Usuario

-     public class Usuario
      extends java.lang.Object

  Created by Carolina Bonnin on 05/05/2015. Clase referente al objeto usuario. Contiene atributos, getters y setters.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `email`
    `private int` | `id`
    `private java.lang.String` | `tutorial`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Usuario()`
    `Usuario(java.lang.String email)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getEmail()`
    `int` | `getId()`
    `java.lang.String` | `getTutorial()`
    `void` | `setEmail(java.lang.String a)`
    `void` | `setId(int i)`
    `void` | `setTutorial(java.lang.String tutorial)`
    `java.lang.String` | `toString()` Returns a string containing a concise, human-readable description of this object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### email

          private java.lang.String email

    - #### id

          private int id

    - #### tutorial

          private java.lang.String tutorial

  - ### Constructor Detail

    - #### Usuario

          public Usuario()

    - #### Usuario

          public Usuario(java.lang.String email)

  - ### Method Detail

    - #### getEmail

          public java.lang.String getEmail()

    - #### getId

          public int getId()

    - #### getTutorial

          public java.lang.String getTutorial()

    - #### setEmail

          public void setEmail(java.lang.String a)

    - #### setId

          public void setId(int i)

    - #### setTutorial

          public void setTutorial(java.lang.String tutorial)

    - #### toString

          public java.lang.String toString()

      Description copied from class: `java.lang.Object`
      Returns a string containing a concise, human-readable description of this object. Subclasses are encouraged to override this method and provide an implementation that takes into account the object's type and data. The default implementation is equivalent to the following expression:

             getClass().getName() + '@' + Integer.toHexString(hashCode())

      See Writing a useful `toString` method if you intend implementing your own `toString` method.

      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        a printable representation of this object.